AUTOCONF(1)

NAME
autoconf2.13 - creates scripts to configure source code packages using templates

SYNOPSIS
autoconf2.13 [ --help | -h ] [ --localdir=dir | -l dir ] [ --macrodir=dir | -m dir ] [ --version ]

DESCRIPTION

To create configure from configure.in, run the autoconf2.13 program with no arguments. autoconf2.13 processes configure.in with the m4 macro processor, using the Autoconf macros. If you give autoconf2.13 an argument, it reads that file instead of configure.in and writes the configuration script to the standard output instead of to configure. If you give autoconf2.13 the argument -, it reads the standard input instead of configure.in and writes the configuration script on the standard output.

The Autoconf macros are defined in several files. Some of the files are distributed with Autoconf; autoconf2.13 reads them first. Then it looks for the optional file acsite.m4 in the directory that contains the distributed Autoconf macro files, and for the optional file aclocal.m4 in the current directory. Those files can contain your site's or the package's own Autoconf macro definitions. If a macro is defined in more than one of the files that autoconf2.13 reads, the last definition it reads overrides the earlier ones.

autoconf2.13 accepts the following options:

--help

-h  Print a summary of the command line options and exit.

--localdir=DIR

-l DIR
    Look for the package file aclocal.m4 in directory DIR instead of in the current directory.

--macrodir=DIR

-m DIR
    Look for the installed macro files in directory DIR. You can also set the AC_MACRODIR environment variable to a directory; this option overrides the environment variable.

--version
    Print the version number of Autoconf and exit.

SEE ALSO
autoheader2.13(1), autoreconf2.13(1), autoscan2.13(1), autoupdate2.13(1), ifnames2.13(1)

AUTHORS
David MacKenzie, with help from Franc,ois Pinard, Karl Berry, Richard Pixley, Ian Lance Taylor, Roland McGrath, Noah Friedman, David D. Zuhn, and many others. This manpage written by Ben Pfaff <pfaffben@msu.edu> for the Debian GNU/Linux autoconf2.13 package.